GET /public/v1/campaigns/{campaignId}/analytics

Get time-series and breakdown analytics for a single campaign. Workspace admins and owners can access analytics for workspace members.

GET /public/v1/campaigns/{campaignId}/analytics
API key in header x-api-key

Path parameters

· 1
campaignId string required

The campaign ID to fetch analytics for.

Query parameters

· 3
endDate string required

End of the date range in YYYY-MM-DD format (e.g. 2026-01-31). Must be on or after startDate.

granularity string · default: day· enum

Time bucket size for the time series. Defaults to day.

values

  • day
  • week
startDate string required

Start of the date range in YYYY-MM-DD format (e.g. 2026-01-01).

Responses